Bull Atos Technologies

AIX Open Source Archives

2019-11-08

python 2.7.16-4

AIX 6.1 +

Python is an interpreted, interactive, object-oriented programming language often compared to Tcl, Perl, Scheme or Java.
Python includes modules, classes, exceptions, very high level dynamic data types and dynamic typing.
Python supports interfaces to many system calls and libraries, as well as to various windowing systems (X11, Motif, Tk, Mac and MFC). Programmers can write new built-in modules for Python in C or C++. Python can be used as an extension language for applications that need a programmable interface.
This package contains most of the standard Python modules, as well as modules for interfacing to the Tix widget set for Tk and RPM. Note that documentation for Python is provided in the python-docs package. Python executables and library are available as 32-bit and 64-bit. This version has been compiled with GCC.
Website: http://www.python.org/

Download

This package has been downloaded 38 times (19 bin / 12 src / 7 zip)
Please read the How To Use page before downloading.
RPM file Source file

Providing

This package provides :
 - /opt/freeware/bin/pydoc
 - /opt/freeware/bin/python
 - _bisect.so
 - _bsddb.so
 - _codecs_cn.so
 - _codecs_hk.so
 - _codecs_iso2022.so
 - _codecs_jp.so
 - _codecs_kr.so
 - _codecs_tw.so
 - _collections.so
 - _csv.so
 - _ctypes.so
 - _curses.so
 - _curses_panel.so
 - _elementtree.so
 - _functools.so
 - _hashlib.so
 - _heapq.so
 - _hotshot.so
 - _io.so
 - _json.so
 - _locale.so
 - _lsprof.so
 - _multibytecodec.so
 - _multiprocessing.so
 - _random.so
 - _socket.so
 - _sqlite3.so
 - _ssl.so
 - _struct.so
 - array.so
 - audioop.so
 - binascii.so
 - bz2.so
 - cPickle.so
 - cStringIO.so
 - cmath.so
 - crypt.so
 - datetime.so
 - dbm.so
 - dl.so
 - fcntl.so
 - future_builtins.so
 - gdbm.so
 - grp.so
 - imageop.so
 - itertools.so
 - libpython2.7.a(libpython2.7.so)
 - libpython2.7.so
 - math.so
 - mmap.so
 - nis.so
 - operator.so
 - parser.so
 - pyexpat.so
 - python = 2.7.16-4
 - python(abi) = 2.7
 - python-abi = 2.7
 - python-argparse
 - python-importlib
 - python-ordereddict
 - python-unittest2
 - python2 = 2.7.16
 - readline.so
 - resource.so
 - select.so
 - strop.so
 - syslog.so
 - termios.so
 - time.so
 - unicodedata.so
 - xxsubtype.so
 - zlib.so

Requires (details)

This package requires :
 - /bin/sh
 - /bin/sh
 - /bin/sh
 - /usr/bin/env
 - bzip2
 - expat >= 2.2.4
 - gdbm
 - gettext >= 0.19.7
 - libbsd.a(shr.o)
 - libbsd.a(shr_64.o)
 - libbz2.a(libbz2.so.1)
 - libc.a(shr.o)
 - libc.a(shr_64.o)
 - libcrypt.a(shr.o)
 - libcrypt.a(shr_64.o)
 - libcrypto.a(libcrypto.so.1.0.2)
 - libdb-4.8.a(libdb-4.8.so)
 - libdb-4.8.so
 - libdl.a(shr.o)
 - libdl.a(shr_64.o)
 - libexpat.a(libexpat.so.1)
 - libffi
 - libffi.a(libffi.so.6)
 - libgcc >= 8.3.0
 - libgcc_s.a(shr.o)
 - libgdbm.a(libgdbm.so.6)
 - libintl.so
 - libncurses.so
 - libnsl.a(shr.o)
 - libnsl.a(shr_64.o)
 - libpanel.so
 - libpthreads.a(shr_comm.o)
 - libpthreads.a(shr_xpg5.o)
 - libpthreads.a(shr_xpg5_64.o)
 - libpython2.7.so
 - libreadline.a(libreadline.so.7)
 - librtl.a(shr.o)
 - libsqlite3.so
 - libssl.a(libssl.so.1.0.2)
 - libstdc++ >= 8.3.0
 - libz.so
 - ncurses
 - openssl >= 1.0.2s
 - readline >= 5.2
 - rpmlib(CompressedFileNames) <= 3.0.4-1
 - rpmlib(PayloadFilesHavePrefix) <= 4.0-1
 - sqlite >= 3
 - zlib